Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.shared
Interface Series

All Known Implementing Classes:
  JSMSeries

    public interface Series

Method Summary
`java.lang.String` | `getCenterX()`
`java.lang.String` | `getCenterY()`
`java.lang.String` | `getColor()`
`Array<Point>` | `getData()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSize()`
`PlotOptions.Series.States` | `getStates()`
`java.lang.String` | `getType()`
`
`<T> T`
` | `getUserObject()`
`Series` | `setCenter(java.lang.String centerX, java.lang.String centerY)`
`Series` | `setColor(java.lang.String color)`
`Series` | `setData(Array<Point> data)`
`Series` | `setName(java.lang.String name)`
`Series` | `setSize(java.lang.String size)`
`Series` | `setStates(PlotOptions.Series.States states)`
`Series` | `setType(java.lang.String type)`
`void` | `setUserObject(java.lang.Object userObject)`

Method Detail

### getData

    Array<Point> getData()

### setData

    Series setData(Array<Point> data)

### getName

    java.lang.String getName()

### setName

    Series setName(java.lang.String name)

### getColor

    java.lang.String getColor()

### setColor

    Series setColor(java.lang.String color)

### getType

    java.lang.String getType()

### setType

    Series setType(java.lang.String type)

### getCenterX

    java.lang.String getCenterX()

### getCenterY

    java.lang.String getCenterY()

### getStates

    PlotOptions.Series.States getStates()

### setStates

    Series setStates(PlotOptions.Series.States states)

### getUserObject

    <T> T getUserObject()

### setUserObject

    void setUserObject(java.lang.Object userObject)

### getSize

    java.lang.String getSize()

### setSize

    Series setSize(java.lang.String size)

### setCenter

    Series setCenter(java.lang.String centerX,
                     java.lang.String centerY)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD